GNU bug report logs - #57077
guix-jupyter fails a test

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: important; Reported by: Andreas Enge <andreas@HIDDEN>; dated Tue, 9 Aug 2022 13:25:02 UTC; Maintainer for guix is bug-guix@HIDDEN.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 57077-done <at> debbugs.gnu.org:


Received: (at 57077-done) by debbugs.gnu.org; 8 Sep 2022 19:35:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 08 15:35:55 2022
Received: from localhost ([127.0.0.1]:60110 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oWNJb-00049h-75
	for submit <at> debbugs.gnu.org; Thu, 08 Sep 2022 15:35:55 -0400
Received: from eggs.gnu.org ([209.51.188.92]:33866)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1oWNJX-00049O-DP
 for 57077-done <at> debbugs.gnu.org; Thu, 08 Sep 2022 15:35:53 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53614)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1oWNJR-0006CA-HN; Thu, 08 Sep 2022 15:35:45 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=DYRMm6xVxoCUNmOJW77zauV3cyFYgO2oLbfiFHCJOXY=; b=NZKSC7Lte05o6p9AA00g
 L8khVowSmRc0kdcdYnVXEOiiOLwjPj+jEBE9MNUQf0RCZiVWU/AEJFaD+ViLYHRx2zoq/915C5Gir
 FPPEWXa0seMuu33LnB6JbryRg7ZeEhJape/2yGjR62meAuYRDM3KXtpUva4UhqeUwwtJafOIiYZZF
 YRLUQXZo3sEY0JZXQaRaGN6Zh+RILISUdioyRrRATP4+2Wo7awRyDUYTExi0IxCrjl6OEGm397XCa
 mq3/xh2YvT59M3MJ2mTxOhx71+boT8q0VQqnzn/4/XsNl/eO7RhnA0cSx3sL+Dt6g0yUo7MFcgzsm
 WrjA8odfrlSh7g==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201]:58180
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1oWNJQ-00060C-Tl; Thu, 08 Sep 2022 15:35:45 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Andreas Enge <andreas@HIDDEN>
Subject: Re: bug#57077: guix-jupyter fails a test
References: <YvJf7XqVKOxrgvh6@jurong> <878rnx2k2s.fsf@HIDDEN>
Date: Thu, 08 Sep 2022 21:35:42 +0200
In-Reply-To: <878rnx2k2s.fsf@HIDDEN> ("Ludovic =?utf-8?Q?Court=C3=A8s=22'?=
 =?utf-8?Q?s?= message of "Tue, 09 Aug 2022 23:17:15 +0200")
Message-ID: <87tu5hek1d.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57077-done
Cc: Marius Bakke <marius@HIDDEN>, 57077-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Ludovic Court=C3=A8s <ludovic.courtes@HIDDEN> skribis:

> Andreas Enge <andreas@HIDDEN> skribis:
>
>> guix-jupyter currently fails to build with the error message below. Whil=
e I
>> noticed it when updating python-sympy, the problem was already present
>> before.
>
> It looks like the Jupyter protocol changed, probably in
> d54b8754fdba52d89aafaaf80b6c8e89bcea92bd, which was merged with the
> latest =E2=80=98staging=E2=80=99.

To my surprise, it looks like running tests sequentially as Marius did
in d09f3f82b84c850a9639ec80af19ba3918b63368 solves the problem.  That=E2=80=
=99s
good news.  :-)

Thanks,
Ludo=E2=80=99.




Notification sent to Andreas Enge <andreas@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Ludovic Courtès <ludo@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 57077 <at> debbugs.gnu.org:


Received: (at 57077) by debbugs.gnu.org; 9 Aug 2022 21:17:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 09 17:17:27 2022
Received: from localhost ([127.0.0.1]:45292 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oLWbP-0001rt-3O
	for submit <at> debbugs.gnu.org; Tue, 09 Aug 2022 17:17:27 -0400
Received: from mail2-relais-roc.national.inria.fr ([192.134.164.83]:44472)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludovic.courtes@HIDDEN>) id 1oLWbK-0001rP-Rn
 for 57077 <at> debbugs.gnu.org; Tue, 09 Aug 2022 17:17:25 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=inria.fr; s=dc;
 h=from:to:cc:subject:references:date:in-reply-to:
 message-id:mime-version:content-transfer-encoding;
 bh=6mH7cIkNubGWIk7jIw7kJkWJyhWs1GzTV7cHWR4qSBg=;
 b=q05PDZ58nj1OBKOcMJ7djYKoprwzra+s9gZ0HGQlrakFMpzXd59KKTr2
 hL6QSMHuuc0cfRBAXNcJj3wy0yJ64/46P1LCSK7uANjQq9lRXEoYZ+q6j
 8+l8X9TzNRuRiRVSEOqpGkChWjH80HPH/B5LbT+hKc5Pi8IO5tpMUyZ7w 4=;
Authentication-Results: mail2-relais-roc.national.inria.fr;
 dkim=none (message not signed) header.i=none;
 spf=SoftFail smtp.mailfrom=ludovic.courtes@HIDDEN;
 dmarc=fail (p=none dis=none) d=inria.fr
X-IronPort-AV: E=Sophos;i="5.93,225,1654552800"; d="scan'208";a="48391737"
Received: from 91-160-117-201.subs.proxad.net (HELO ribbon) ([91.160.117.201])
 by mail2-relais-roc.national.inria.fr with
 ESMTP/TLS/ECDHE-RSA-AES256-GCM-SHA384; 09 Aug 2022 23:17:16 +0200
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludovic.courtes@HIDDEN>
To: Andreas Enge <andreas@HIDDEN>
Subject: Re: bug#57077: guix-jupyter fails a test
References: <YvJf7XqVKOxrgvh6@jurong>
Date: Tue, 09 Aug 2022 23:17:15 +0200
In-Reply-To: <YvJf7XqVKOxrgvh6@jurong> (Andreas Enge's message of "Tue, 9 Aug
 2022 15:23:57 +0200")
Message-ID: <878rnx2k2s.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57077
Cc: 57077 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi!

Andreas Enge <andreas@HIDDEN> skribis:

> guix-jupyter currently fails to build with the error message below. While=
 I
> noticed it when updating python-sympy, the problem was already present
> before.

It looks like the Jupyter protocol changed, probably in
d54b8754fdba52d89aafaaf80b6c8e89bcea92bd, which was merged with the
latest =E2=80=98staging=E2=80=99.

I=E2=80=99ll take a look if nobody beats me at it=E2=80=A6

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#57077; Package guix. Full text available.
Severity set to 'important' from 'normal' Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Aug 2022 13:24:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 09 09:24:11 2022
Received: from localhost ([127.0.0.1]:42869 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oLPDO-0006ur-Ai
	for submit <at> debbugs.gnu.org; Tue, 09 Aug 2022 09:24:10 -0400
Received: from lists.gnu.org ([209.51.188.17]:45496)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreas@HIDDEN>) id 1oLPDL-0006uj-Kv
 for submit <at> debbugs.gnu.org; Tue, 09 Aug 2022 09:24:08 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:58572)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <andreas@HIDDEN>) id 1oLPDK-000693-VY
 for bug-guix@HIDDEN; Tue, 09 Aug 2022 09:24:07 -0400
Received: from hera.aquilenet.fr ([185.233.100.1]:38388)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <andreas@HIDDEN>) id 1oLPDH-0007bX-Q1
 for bug-guix@HIDDEN; Tue, 09 Aug 2022 09:24:05 -0400
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 7A6E81044;
 Tue,  9 Aug 2022 15:24:00 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id j3J8SxVOQgs9; Tue,  9 Aug 2022 15:23:59 +0200 (CEST)
Received: from jurong (unknown [IPv6:2001:861:c4:f2f0:1ce9:67cd:7487:edd5])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 641D3DC2;
 Tue,  9 Aug 2022 15:23:59 +0200 (CEST)
Date: Tue, 9 Aug 2022 15:23:57 +0200
From: Andreas Enge <andreas@HIDDEN>
To: bug-guix@HIDDEN
Subject: guix-jupyter fails a test
Message-ID: <YvJf7XqVKOxrgvh6@jurong>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=185.233.100.1; envelope-from=andreas@HIDDEN;
 helo=hera.aquilenet.fr
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

Hello,

guix-jupyter currently fails to build with the error message below. While I
noticed it when updating python-sympy, the problem was already present
before.

Andreas


test-name: execute_request
location: /tmp/guix-build-guix-jupyter-0.2.2.drv-0/source/tests/kernels.scm=
:100
source:
+ (test-equal
+   "execute_request"
+   42
+   (let ((request
+           (message
+             (header "execute_request" "luser" "12345")
+             (scm->json-string
+               (execute-request->json
+                 (execute-request (code "40 + 2\n")))))))
+     (send-message %kernel request)
+     (let* ((replies
+              (unfold
+                (cut > <> 4)
+                (lambda (_) (read-message %kernel 10000))
+                #{1+}#
+                0)))
+       (define (type-predicate type)
+         (lambda (message)
+           (string=3D? (message-type message) type)))
+       (and (every message? (pk 'replies replies))
+            (match (filter (type-predicate "status") replies)
+                   ((busy idle)
+                    (and (eq? 'busy
+                              (kernel-status-execution-state
+                                (json->kernel-status (message-content busy=
))))
+                         (eq? 'idle
+                              (kernel-status-execution-state
+                                (json->kernel-status (message-content idle=
))))
+                         (equal?
+                           (message-parent-header busy)
+                           (message-header request))
+                         (equal?
+                           (message-parent-header idle)
+                           (message-header request)))))
+            (let ((input (find (type-predicate "execute_input") replies)))
+              (equal?
+                (message-parent-header input)
+                (message-header request)))
+            (let ((reply (find (type-predicate "execute_reply") replies)))
+              (equal?
+                (message-parent-header reply)
+                (message-header request)))
+            (let ((result
+                    (find (type-predicate "execute_result") replies)))
+              (and (equal?
+                     (message-parent-header result)
+                     (message-header request))
+                   (let* ((content
+                            (json-string->scm (message-content result)))
+                          (data (assoc-ref content "data"))
+                          (text (assoc-ref data "text/plain")))
+                     (string->number text))))))))

;;; (replies (#<<message> header: #<<header> id: "5103841f-98e1ea45964e58d9=
ba214dc5_900_3" user: "username" session: "5103841f-98e1ea45964e58d9ba214dc=
5" date: "2022-08-09T13:21:24.436017Z" type: "kernel_info_reply" version: "=
5.3" sender: #f> parent-header: #<<header> id: "7b136e32ddcbe2e226edffb116a=
4fca9" user: "luser" session: "12345" date: "2022-08-09T13:21:24.298532000"=
 type: "kernel_info_request" version: "5.0" sender: #f> metadata: "{}" cont=
ent: "{\"status\": \"ok\", \"protocol_version\": \"5.3\", \"implementation\=
": \"ipython\", \"implementation_version\": \"8.2.0\", \"language_info\": {=
\"name\": \"python\", \"version\": \"3.9.9\", \"mimetype\": \"text/x-python=
\", \"codemirror_mode\": {\"name\": \"ipython\", \"version\": 3}, \"pygment=
s_lexer\": \"ipython3\", \"nbconvert_exporter\": \"python\", \"file_extensi=
on\": \".py\"}, \"banner\": \"Python 3.9.9 (main, Jan  1 1970, 00:00:01) \\=
nType 'copyright', 'credits' or 'license' for more information\\nIPython 8.=
2.0 -- An enhanced Interactive Python. Type '?' for help.\\n\", \"help_link=
s\": [{\"text\": \"Python Reference\", \"url\": \"https://docs.python.org/3=
=2E9\"}, {\"text\": \"IPython Reference\", \"url\": \"https://ipython.org/d=
ocumentation.html\"}, {\"text\": \"NumPy Reference\", \"url\": \"https://do=
cs.scipy.org/doc/numpy/reference/\"}, {\"text\": \"SciPy Reference\", \"url=
\": \"https://docs.scipy.org/doc/scipy/reference/\"}, {\"text\": \"Matplotl=
ib Reference\", \"url\": \"https://matplotlib.org/contents.html\"}, {\"text=
\": \"SymPy Reference\", \"url\": \"http://docs.sympy.org/latest/index.html=
\"}, {\"text\": \"pandas Reference\", \"url\": \"https://pandas.pydata.org/=
pandas-docs/stable/\"}]}" buffers: ()> #<<message> header: #<<header> id: "=
5103841f-98e1ea45964e58d9ba214dc5_900_4" user: "username" session: "5103841=
f-98e1ea45964e58d9ba214dc5" date: "2022-08-09T13:21:24.438407Z" type: "stat=
us" version: "5.3" sender: #vu8(107 101 114 110 101 108 46 100 53 55 102 10=
2 101 102 53 45 48 98 102 50 45 52 97 57 102 45 97 99 50 52 45 53 53 100 54=
 97 97 100 102 53 56 52 97 46 115 116 97 116 117 115)> parent-header: #<<he=
ader> id: "7b136e32ddcbe2e226edffb116a4fca9" user: "luser" session: "12345"=
 date: "2022-08-09T13:21:24.298532000" type: "kernel_info_request" version:=
 "5.0" sender: #f> metadata: "{}" content: "{\"execution_state\": \"idle\"}=
" buffers: ()> #<<message> header: #<<header> id: "5103841f-98e1ea45964e58d=
9ba214dc5_900_5" user: "username" session: "5103841f-98e1ea45964e58d9ba214d=
c5" date: "2022-08-09T13:21:24.470543Z" type: "status" version: "5.3" sende=
r: #vu8(107 101 114 110 101 108 46 100 53 55 102 102 101 102 53 45 48 98 10=
2 50 45 52 97 57 102 45 97 99 50 52 45 53 53 100 54 97 97 100 102 53 56 52 =
97 46 115 116 97 116 117 115)> parent-header: #<<header> id: "b101b0c27f410=
55fc03178fdce86a4f6" user: "luser" session: "12345" date: "2022-08-09T13:21=
:24.465152000" type: "execute_request" version: "5.0" sender: #f> metadata:=
 "{}" content: "{\"execution_state\": \"busy\"}" buffers: ()> #<<message> h=
eader: #<<header> id: "5103841f-98e1ea45964e58d9ba214dc5_900_6" user: "user=
name" session: "5103841f-98e1ea45964e58d9ba214dc5" date: "2022-08-09T13:21:=
24.471181Z" type: "execute_input" version: "5.3" sender: #vu8(107 101 114 1=
10 101 108 46 100 53 55 102 102 101 102 53 45 48 98 102 50 45 52 97 57 102 =
45 97 99 50 52 45 53 53 100 54 97 97 100 102 53 56 52 97 46 101 120 101 99 =
117 116 101 95 105 110 112 117 116)> parent-header: #<<header> id: "b101b0c=
27f41055fc03178fdce86a4f6" user: "luser" session: "12345" date: "2022-08-09=
T13:21:24.465152000" type: "execute_request" version: "5.0" sender: #f> met=
adata: "{}" content: "{\"code\": \"40 + 2\\n\", \"execution_count\": 1}" bu=
ffers: ()> #<<message> header: #<<header> id: "5103841f-98e1ea45964e58d9ba2=
14dc5_900_7" user: "username" session: "5103841f-98e1ea45964e58d9ba214dc5" =
date: "2022-08-09T13:21:24.497586Z" type: "execute_result" version: "5.3" s=
ender: #vu8(107 101 114 110 101 108 46 100 53 55 102 102 101 102 53 45 48 9=
8 102 50 45 52 97 57 102 45 97 99 50 52 45 53 53 100 54 97 97 100 102 53 56=
 52 97 46 101 120 101 99 117 116 101 95 114 101 115 117 108 116)> parent-he=
ader: #<<header> id: "b101b0c27f41055fc03178fdce86a4f6" user: "luser" sessi=
on: "12345" date: "2022-08-09T13:21:24.465152000" type: "execute_request" v=
ersion: "5.0" sender: #f> metadata: "{}" content: "{\"data\": {\"text/plain=
\": \"42\"}, \"metadata\": {}, \"execution_count\": 1}" buffers: ()>))
expected-value: 42
actual-value: #f
result: FAIL



error: in phase 'check': uncaught exception:
%exception #<&invoke-error program: "make" arguments: ("check" "-j" "4") ex=
it-status: 2 term-signal: #f stop-signal: #f>
phase `check' failed after 10.7 seconds
command "make" "check" "-j" "4" failed with status 2
builder for `/gnu/store/i1r5p6g0k3a98316x3s2yrpx9kwjq9vn-guix-jupyter-0.2.2=
=2Edrv' failed with exit code 1





Acknowledgement sent to Andreas Enge <andreas@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#57077; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 14 Sep 2022 18:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.